# vim: set ts=4 sw=4 et:
%define name      ldvd
%define version   2.0.2
%define release   1.pm.1

Name:           ldvd
Summary:        Video-DVD backup tool with GUI
License:        GNU General Public License version 2 or later (GPLv2 or later)
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://ldvd.sourceforge.net/
Version:        2.0.2
Release:        3.pm.3.1
Source0:        ldvd-2.0.2.tar.bz2
Source1:        ldvd.desktop
Patch0:         ldvd-ls-sprint-nullbyte.diff
Patch1:         ldvd-lang.diff
Patch2:         ldvd-port_to_gtk2.patch
Vendor:         Packman
BuildRoot:      %{_tmppath}/%{name}-root
Requires:       perl
Requires:       perl-Gtk2
Requires:       transcode >= 0.6.14
Requires:       dvdauthor
Requires:       mkisofs >= 1.15
Requires:       dvd+rw-tools
Requires:       mjpegtools >= 1.6.2
Requires:       libdvdread >= 0.9.5
BuildRequires:  libdvdread-devel >= 0.9.5
BuildRequires:  perl-Gtk2
BuildRequires:  transcode >= 0.6.14
BuildRequires:  dvdauthor
BuildRequires:  mkisofs >= 1.15
BuildRequires:  dvd+rw-tools
BuildRequires:  mjpegtools >= 1.6.2
BuildRequires:  libdvdread >= 0.9.5
BuildRequires:  update-desktop-files

%description
A tool to make backups from a Video-DVD with GUI.

%prep
%setup -q
%patch0
%patch1
%patch2

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CPPFLAGS="$RPM_OPT_FLAGS"
%{__make} %{?jobs:-j%{jobs}}

%install
%{makeinstall} PREFIX=%{_prefix}
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/applications
%{__install} -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/
%suse_update_desktop_file -i %{name}        AudioVideo AudioVideoEditing

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-, root, root)
%doc README.* COPYING
%{_bindir}/*
%{_datadir}/%{name}-%{version}
%{_datadir}/applications/%{name}.desktop
%config(noreplace) %{_sysconfdir}/%{name}.conf

%changelog
* Sun Apr  3 2011 pascal.bleser@opensuse.org
- port to Gtk2, hopefully fixes BNC#684732
* Thu Sep 10 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Fri Mar 24 2006 Manfred.Tremmel@iiv.de
- patch for reading the language files from the right place
* Thu Mar 23 2006 Manfred.Tremmel@iiv.de
- update to 2.0.2
* Wed Mar 22 2006 Manfred.Tremmel@iiv.de
- patches for libdvdread 0.9.5
* Tue Oct 11 2005 Manfred.Tremmel@iiv.de
- added a patch to solve buffer overflow in SUSE 10.0
* Mon Jul 18 2005 Manfred.Tremmel@iiv.de
- update to 2.0.1
* Tue Jun 28 2005 Manfred.Tremmel@iiv.de
- first Packman build
* Thu Jan  6 2005 rainer@links2linux.de
- Initial build.
